using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Playables;

public class CinematicWorldControl : MonoBehaviour
{
    public GameObject camera;
    public GameObject player;

    private void Start()
    {
        FindObjectOfType<CinematicDialogueManager>().playableDirector = this.GetComponent<PlayableDirector>();
        camera = GameObject.Find("Main Camera");
        player = GameObject.Find("Player");
    }

    public void DestroyCineRoot()
    {
        FindObjectOfType<CinematicDialogueManager>().playableDirector = null;
        Destroy(this.gameObject);
    }

    public void CenterOnPlayer()
    {
        camera.transform.position =
            player.transform.position;
    }
    
    
}
